<?php
$_SERVER['SERVER_PORT'] = 80;
$_SERVER['SERVER_NAME'] = 'BackInStockCron';
require_once("../../../../ini.inc.php");
require_once('../../../../includes/global.inc.php');
define('ADMIN_CP', false);
require_once('../../../../includes/functions.inc.php');
define('CC_IN_ADMIN', false);
$GLOBALS['cache'] = Cache::getInstance();
$GLOBALS['db'] = Database::getInstance($glob);
$GLOBALS['config'] = Config::getInstance($glob);
$GLOBALS['storeURL'] = $GLOBALS['config']->get('config', 'standard_url');
$GLOBALS['config']->merge('config', '', $config_default);
$GLOBALS['debug'] = Debug::getInstance();
$GLOBALS['session'] = Session::getInstance();
$GLOBALS['smarty'] = new Smarty();
$GLOBALS['smarty']->muteExpectedErrors();
$GLOBALS['smarty']->error_reporting = E_ALL & ~E_NOTICE & ~E_WARNING;
$GLOBALS['smarty']->compile_dir  = CC_SKIN_CACHE_DIR;
$GLOBALS['smarty']->config_dir   = CC_SKIN_CACHE_DIR;
$GLOBALS['smarty']->cache_dir    = CC_SKIN_CACHE_DIR;
$GLOBALS['smarty']->debugging = false;
$GLOBALS['language'] = Language::getInstance();
$GLOBALS['hooks'] = HookLoader::getInstance();
$GLOBALS['seo'] = SEO::getInstance();
$GLOBALS['gui'] = GUI::getInstance();
set_time_limit(320);
$tz = $GLOBALS['config']->get('config', 'time_zone');
date_default_timezone_set((!empty($tz)) ? $tz : 'UTC');

$sql = "
    SELECT
      n.id as notice_id,
      i.name,
      i.product_id,
      i.product_code,
      i.stock_level,
      c.title,
      c.first_name,
      c.last_name,
      c.email
    FROM
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_stock_notifications n
    JOIN
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_customer c
        ON
          n.customer_id = c.customer_id
    JOIN
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_inventory i
        ON
            n.product_id = i.product_id
    WHERE
      (
        i.use_stock_level = 0
        OR
        (
            i.use_stock_level = 1
            AND
            i.stock_level > 0
        )
      )
";
$notices = $GLOBALS['db']->query($sql, false, 0, false);

if(isset($notices) && is_array($notices) && !empty($notices)){
    foreach($notices as $id => $notice){
        $mailer = Mailer::getInstance();
        $product_data = Catalogue::getInstance()->getProductData($notice['product_id']);
        Catalogue::getInstance()->getProductPrice($product_data, 1, true);
        $product_data['title'] = $notice['title'];
        $product_data['first_name'] = $notice['first_name'];
        $product_data['last_name'] = $notice['last_name'];
        $product_data['price_to_pay_formatted'] = Tax::getInstance()->priceFormat($product_data['price_to_pay']);
        $product_data['full_base_price_formatted'] = Tax::getInstance()->priceFormat($product_data['full_base_price']);
        $product_data['product_link'] = Seo::getInstance()->buildURL('prod', $notice['product_id']);
        $images = $GLOBALS['db']->select('CubeCart_image_index', false, array('product_id' => $notice['product_id']), array('main_img' => 'DESC'), 1);
        if(isset($images[0]['file_id'])){
            $product_data['image_src'] = Catalogue::getInstance()->imagePath($images[0]['file_id'], 'source', 'url');
        }else{
            $product_data['image_src'] = "";
        }
        $GLOBALS['smarty']->assign('DATA', $product_data);
        $content = $mailer->loadContent('back_in_stock', $GLOBALS['language']->current());
        $mail = $mailer->sendEmail($notice['email'], $content);
        if($mail !== false){
            $GLOBALS['db']->delete('CubeCart_stock_notifications', array('id' => $notice['notice_id']));
        }
    }
}

$sql = "
    SELECT
      n.id as notice_id,
      i.name,
      i.product_id,
      i.product_code,
      i.stock_level,
      c.title,
      c.first_name,
      c.last_name,
      c.email,
      au.email as admin_email
    FROM
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_stock_notifications n
    JOIN
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_customer c
        ON
          n.customer_id = c.customer_id
    JOIN
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_inventory i
        ON
            n.product_id = i.product_id
    JOIN
      ". $GLOBALS['config']->get('config', 'dbprefix') . "CubeCart_admin_users au
        ON
            au.order_notify = 1
    WHERE
      n.notified_admin = 0
";
$notices = $GLOBALS['db']->query($sql, false, 0, false);
if(isset($notices) && is_array($notices) && !empty($notices)){

    foreach($notices as $id => $notice){
        $mailer = Mailer::getInstance();
        $product_data = Catalogue::getInstance()->getProductData($notice['product_id']);
        Catalogue::getInstance()->getProductPrice($product_data, 1, true);
        $product_data['title'] = $notice['title'];
        $product_data['first_name'] = $notice['first_name'];
        $product_data['last_name'] = $notice['last_name'];
        $product_data['price_to_pay_formatted'] = Tax::getInstance()->priceFormat($product_data['price_to_pay']);
        $product_data['full_base_price_formatted'] = Tax::getInstance()->priceFormat($product_data['full_base_price']);
        $product_data['product_link'] = Seo::getInstance()->buildURL('prod', $notice['product_id']);
        $images = $GLOBALS['db']->select('CubeCart_image_index', false, array('product_id' => $notice['product_id']), array('main_img' => 'DESC'), 1);
        if(isset($images[0]['file_id'])){
            $product_data['image_src'] = Catalogue::getInstance()->imagePath($images[0]['file_id'], 'source', 'url');
        }else{
            $product_data['image_src'] = "";
        }
        $GLOBALS['smarty']->assign('DATA', $product_data);
        $content = $mailer->loadContent('back_in_stock_admin_notify', $GLOBALS['language']->current());
        $mail = $mailer->sendEmail($notice['admin_email'], $content);
        if($mail !== false){
            $GLOBALS['db']->update('CubeCart_stock_notifications', array('notified_admin' => 1), array('id' => $notice['notice_id']));
        }
    }
}

